Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#1264 closed defect (fixed)

removelogo filter causes segmentation fault before processing begins

Reported by: haydonffmpeg Owned by:
Priority: important Component: undetermined
Version: git-master Keywords: lavfutils
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Summary describes problem.

Command line:
ffmpeg -v 9 -loglevel 99 -y -i Grimm_sample.wtv -r 29.97 -crf 20 -filter:v yadif,removelogo=Logo_WBAL.gif,scale=1024:-1 -sws_flags spline -preset slow -profile:v baseline -aq 90 -ac 2 Grimm_samplefail.mp4

The command line can be simplified significantly with the sample inputs I've provided. I've been unable to get removelogo working with any combination of options. Distribution is Gentoo.

ffmpeg output:
ffmpeg version N-40204-g9d7c1b4 Copyright (c) 2000-2012 the FFmpeg developers

built on Apr 28 2012 17:23:57 with gcc 4.6.3
configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --mandir=/usr/share/man --enable-shared --cc=x86_64-pc-linux-gnu-gcc --cxx=x86_64-pc-linux-gnu-g++ --ar=x86_64-pc-linux-gnu-ar --optflags='-march=native -O2 -pipe -fomit-frame-pointer' --extra-cflags='-march=native -O2 -pipe -fomit-frame-pointer' --extra-cxxflags='-march=native -O2 -pipe -fomit-frame-pointer' --disable-static --enable-gpl --enable-version3 --enable-postproc --enable-avfilter --disable-stripping --disable-debug --disable-doc --disable-network --disable-vaapi --disable-vdpau --disable-ffplay --enable-runtime-cpudetect --enable-libmp3lame --enable-libvo-aacenc --enable-libvorbis --enable-libx264 --enable-libaacplus --enable-nonfree --enable-libfaac --enable-nonfree --disable-indev=v4l --disable-indev=v4l2 --disable-indev=alsa --disable-indev=oss --disable-indev=jack --disable-outdev=alsa --disable-outdev=oss --disable-outdev=sdl --enable-pthreads --enable-libvpx --enable-libopenjpeg --disable-altivec --disable-avx --disabl libavutil 51. 48.100 / 51. 48.100
libavcodec 54. 17.100 / 54. 17.100
libavformat 54. 3.100 / 54. 3.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 72.100 / 2. 72.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 11.100 / 0. 11.100
libpostproc 52. 0.100 / 52. 0.100

[wtv @ 0x260bfb0] Format wtv probed with size=2048 and score=100
[wtv @ 0x260bfb0] unsupported metadata entry; key:VRD/PLACEHOLDER, type:2, length:0x8
[wtv @ 0x260bfb0] File position before avformat_find_stream_info() is 294912
[wtv @ 0x260bfb0] parser not found for codec dvb_teletext, packets or times may be invalid.
[wtv @ 0x260bfb0] All info found
rfps: 23.666667 0.016554
rfps: 23.750000 0.013702

Last message repeated 1 times

rfps: 23.833333 0.011651

Last message repeated 1 times

rfps: 23.916667 0.010402

Last message repeated 1 times

rfps: 24.000000 0.009953
rfps: 24.083333 0.010306
rfps: 24.166667 0.011459
rfps: 24.250000 0.013414
rfps: 24.333333 0.016170
rfps: 24.416667 0.019728
rfps: 35.583333 0.017093
rfps: 35.666667 0.014111
rfps: 35.750000 0.011930
rfps: 35.833333 0.010550
rfps: 35.916667 0.009972
rfps: 36.000000 0.010194

Last message repeated 1 times

rfps: 36.083333 0.011218

Last message repeated 1 times

rfps: 36.166667 0.013043

Last message repeated 1 times

rfps: 36.250000 0.015669

Last message repeated 1 times

rfps: 36.333333 0.019096
rfps: 59.416667 0.015809
rfps: 59.500000 0.011177

Last message repeated 1 times

rfps: 59.583333 0.007346

Last message repeated 1 times

rfps: 59.666667 0.004315

Last message repeated 1 times

rfps: 59.750000 0.002086

Last message repeated 1 times

rfps: 59.833333 0.000659

Last message repeated 1 times

rfps: 59.916667 0.000032

Last message repeated 1 times

rfps: 23.976024 0.010000

Last message repeated 1 times

rfps: 59.940060 0.000000

Last message repeated 1 times

[wtv @ 0x260bfb0] File position after avformat_find_stream_info() is 1998848
Input #0, wtv, from 'Grimm_Sample.wtv':

Metadata:

WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
Title : Grimm
WM/SubTitle : Cat and Mouse
WM/SubTitleDescription: Nick discovers that Monroe and Rosalee are harboring a murder suspect (Neil Hopkins) whose crime spree began overseas.
genre : Drama;General;Series;Sci-Fi/Fantasy?
WM/OriginalReleaseTime: 0
WM/MediaCredits : David Giuntoli/Russell? Hornsby/Bitsie? Tulloch/Silas? Weir Mitchell/Reggie? Lee/Sasha? Roiz;;;Bree Turner/Sebastian? Roche/Neil? Hopkins
service_provider: WBALDT
service_name : WBALDT (WBAL-DT)
WM/MediaNetworkAffiliation: NBC Affiliate
WM/MediaOriginalChannel: 511
WM/MediaOriginalChannelSubNumber: 0
WM/MediaOriginalBroadcastDateTime: 2012-04-20T04:00:00Z
WM/MediaIsStereo: true
WM/MediaIsRepeat: false
WM/MediaIsLive : false
WM/MediaIsTape : false
WM/MediaIsDelay : false
WM/MediaIsSubtitled: false
WM/MediaIsMovie : false
WM/MediaIsPremiere: false
WM/MediaIsFinale: false
WM/MediaIsSAP : false
WM/MediaIsSport : false
WM/ParentalRating: TV-14
WM/Provider : MediaCenterDefault?
WM/VideoClosedCaptioning: true
WM/WMRVEncodeTime: 2012-04-21 00:58:15
WM/WMRVSeriesUID: !MCSeries!01418971
WM/WMRVServiceID: !MCService!28460388
WM/WMRVRequestID: -1
WM/WMRVScheduleItemID: -1
WM/WMRVQuality : 0
WM/WMRVOriginalSoftPrePadding: 0
WM/WMRVOriginalSoftPostPadding: 0
WM/WMRVHardPrePadding: -300
WM/WMRVHardPostPadding: 0
WM/WMRVATSCContent: true
WM/WMRVDTVContent: true
WM/WMRVHDContent: true
Duration : 11676334
WM/WMRVBitrate : 14.791826
WM/WMRVKeepUntil: -1
WM/WMRVActualSoftPrePadding: 0
WM/WMRVActualSoftPostPadding: 0
WM/WMRVContentProtected: false
WM/WMRVContentProtectedPercent: 0
WM/WMRVExpirationDate: 9999-12-31 23:59:59
WM/WMRVExpirationSpan: 9223372036854775807
WM/WMRVInBandRatingSystem: 255
WM/WMRVInBandRatingLevel: 255
WM/WMRVInBandRatingAttributes: 0
WM/WMRVWatched : true
WM/MediaOriginalRunTime: 11676334
WM/WMRVEndTime : 2012-04-21 00:58:16

Duration: 00:00:00.97, start: 0.195556, bitrate: 19416 kb/s

Stream #0:0[0x5], 22, 1/10000000: Video: mpeg2video (Main), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 1001/60000, 65000 kb/s, 23.98 fps, 59.94 tbr, 10000k tbn, 59.94 tbc
Stream #0:1[0x6], 28, 1/10000000: Subtitle: dvb_teletext
Stream #0:2[0x7], 27, 1/10000000: Audio: ac3, 48000 Hz, 5.1(side), s16, 384 kb/s

[buffer @ 0x2627370] w:1920 h:1080 pixfmt:yuv420p tb:1/1000000 sar:1/1 sws_param:flags=2
[yadif @ 0x2626270] mode:0 parity:-1 auto_enable:0
Segmentation fault

Should be very easy to reproduce. If not I can assist debug.

Attachments (2)

Grimm_sample.wtv (2.2 MB) - added by haydonffmpeg 5 years ago.
Input AV file
Logo_WBAL.gif (5.6 KB) - added by haydonffmpeg 5 years ago.
Logo file

Change History (6)

Changed 5 years ago by haydonffmpeg

Input AV file

Changed 5 years ago by haydonffmpeg

Logo file

comment:1 Changed 5 years ago by cehoyos

  • Keywords 1920x1080 removed
  • Priority changed from normal to important
  • Reproduced by developer set
  • Status changed from new to open
(gdb) r -i Grimm_sample.wtv -an -vf removelogo=Logo_WBAL.gif -f null -

...

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7ba16c0 (LWP 9710)]
avformat_open_input (ps=0xbfaaa308, filename=0x8f00720 "Logo_WBAL.gif",
    fmt=0x8946f40, options=0x0) at libavformat/utils.c:597
597             s->iformat = fmt;
(gdb) bt
#0  avformat_open_input (ps=0xbfaaa308, filename=0x8f00720 "Logo_WBAL.gif",
    fmt=0x8946f40, options=0x0) at libavformat/utils.c:597
#1  0x080979ce in ff_load_image (data=0xbfaaa400, linesize=0xbfaaa3e0,
    w=0xbfaaa418, h=0xbfaaa414, pix_fmt=0xbfaaa410,
    filename=0x8f00720 "Logo_WBAL.gif", log_ctx=0x902b3c0)
    at libavfilter/lavfutils.c:37
#2  0x08081a01 in init (ctx=0x902b3c0, args=0x8f00720 "Logo_WBAL.gif",
    opaque=0x0) at libavfilter/vf_removelogo.c:205
#3  0x0806cce7 in create_filter (filt_ctx=0xbfaaa5ac, ctx=0x902ad20,
    index=<value optimized out>, filt_name=0x902b340 "removelogo",
    args=0x8f00720 "Logo_WBAL.gif", log_ctx=0x0)
    at libavfilter/graphparser.c:130
#4  0x0806d593 in avfilter_graph_parse (graph=0x902ad20, filters=0x8eff5d8 "",
    open_inputs_ptr=0xbfaaa78c, open_outputs_ptr=0xbfaaa790, log_ctx=0x0)
    at libavfilter/graphparser.c:167
#5  0x08050156 in configure_video_filters (fg=0x8f03bc0) at ffmpeg.c:804
#6  0x08054786 in transcode_init () at ffmpeg.c:3141
#7  0x080592ab in transcode () at ffmpeg.c:3402
#8  0x0805af86 in main (argc=Cannot access memory at address 0x7
) at ffmpeg.c:5896

comment:2 in reply to: ↑ description Changed 5 years ago by maddogx

Replying to haydonffmpeg:

Summary describes problem.

Command line:
ffmpeg -v 9 -loglevel 99 -y -i Grimm_sample.wtv -r 29.97 -crf 20 -filter:v yadif,removelogo=Logo_WBAL.gif,scale=1024:-1 -sws_flags spline -preset slow -profile:v baseline -aq 90 -ac 2 Grimm_samplefail.mp4

The command line can be simplified significantly with the sample inputs I've provided. I've been unable to get removelogo working with any combination of options. Distribution is Gentoo.

ffmpeg output:
ffmpeg version N-40204-g9d7c1b4 Copyright (c) 2000-2012 the FFmpeg developers

built on Apr 28 2012 17:23:57 with gcc 4.6.3
configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --mandir=/usr/share/man --enable-shared --cc=x86_64-pc-linux-gnu-gcc --cxx=x86_64-pc-linux-gnu-g++ --ar=x86_64-pc-linux-gnu-ar --optflags='-march=native -O2 -pipe -fomit-frame-pointer' --extra-cflags='-march=native -O2 -pipe -fomit-frame-pointer' --extra-cxxflags='-march=native -O2 -pipe -fomit-frame-pointer' --disable-static --enable-gpl --enable-version3 --enable-postproc --enable-avfilter --disable-stripping --disable-debug --disable-doc --disable-network --disable-vaapi --disable-vdpau --disable-ffplay --enable-runtime-cpudetect --enable-libmp3lame --enable-libvo-aacenc --enable-libvorbis --enable-libx264 --enable-libaacplus --enable-nonfree --enable-libfaac --enable-nonfree --disable-indev=v4l --disable-indev=v4l2 --disable-indev=alsa --disable-indev=oss --disable-indev=jack --disable-outdev=alsa --disable-outdev=oss --disable-outdev=sdl --enable-pthreads --enable-libvpx --enable-libopenjpeg --disable-altivec --disable-avx --disabl libavutil 51. 48.100 / 51. 48.100
libavcodec 54. 17.100 / 54. 17.100
libavformat 54. 3.100 / 54. 3.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 72.100 / 2. 72.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 11.100 / 0. 11.100
libpostproc 52. 0.100 / 52. 0.100

[wtv @ 0x260bfb0] Format wtv probed with size=2048 and score=100
[wtv @ 0x260bfb0] unsupported metadata entry; key:VRD/PLACEHOLDER, type:2, length:0x8
[wtv @ 0x260bfb0] File position before avformat_find_stream_info() is 294912
[wtv @ 0x260bfb0] parser not found for codec dvb_teletext, packets or times may be invalid.
[wtv @ 0x260bfb0] All info found
rfps: 23.666667 0.016554
rfps: 23.750000 0.013702

Last message repeated 1 times

rfps: 23.833333 0.011651

Last message repeated 1 times

rfps: 23.916667 0.010402

Last message repeated 1 times

rfps: 24.000000 0.009953
rfps: 24.083333 0.010306
rfps: 24.166667 0.011459
rfps: 24.250000 0.013414
rfps: 24.333333 0.016170
rfps: 24.416667 0.019728
rfps: 35.583333 0.017093
rfps: 35.666667 0.014111
rfps: 35.750000 0.011930
rfps: 35.833333 0.010550
rfps: 35.916667 0.009972
rfps: 36.000000 0.010194

Last message repeated 1 times

rfps: 36.083333 0.011218

Last message repeated 1 times

rfps: 36.166667 0.013043

Last message repeated 1 times

rfps: 36.250000 0.015669

Last message repeated 1 times

rfps: 36.333333 0.019096
rfps: 59.416667 0.015809
rfps: 59.500000 0.011177

Last message repeated 1 times

rfps: 59.583333 0.007346

Last message repeated 1 times

rfps: 59.666667 0.004315

Last message repeated 1 times

rfps: 59.750000 0.002086

Last message repeated 1 times

rfps: 59.833333 0.000659

Last message repeated 1 times

rfps: 59.916667 0.000032

Last message repeated 1 times

rfps: 23.976024 0.010000

Last message repeated 1 times

rfps: 59.940060 0.000000

Last message repeated 1 times

[wtv @ 0x260bfb0] File position after avformat_find_stream_info() is 1998848
Input #0, wtv, from 'Grimm_Sample.wtv':

Metadata:

WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
Title : Grimm
WM/SubTitle : Cat and Mouse
WM/SubTitleDescription: Nick discovers that Monroe and Rosalee are harboring a murder suspect (Neil Hopkins) whose crime spree began overseas.
genre : Drama;General;Series;Sci-Fi/Fantasy?
WM/OriginalReleaseTime: 0
WM/MediaCredits : David Giuntoli/Russell? Hornsby/Bitsie? Tulloch/Silas? Weir Mitchell/Reggie? Lee/Sasha? Roiz;;;Bree Turner/Sebastian? Roche/Neil? Hopkins
service_provider: WBALDT
service_name : WBALDT (WBAL-DT)
WM/MediaNetworkAffiliation: NBC Affiliate
WM/MediaOriginalChannel: 511
WM/MediaOriginalChannelSubNumber: 0
WM/MediaOriginalBroadcastDateTime: 2012-04-20T04:00:00Z
WM/MediaIsStereo: true
WM/MediaIsRepeat: false
WM/MediaIsLive : false
WM/MediaIsTape : false
WM/MediaIsDelay : false
WM/MediaIsSubtitled: false
WM/MediaIsMovie : false
WM/MediaIsPremiere: false
WM/MediaIsFinale: false
WM/MediaIsSAP : false
WM/MediaIsSport : false
WM/ParentalRating: TV-14
WM/Provider : MediaCenterDefault?
WM/VideoClosedCaptioning: true
WM/WMRVEncodeTime: 2012-04-21 00:58:15
WM/WMRVSeriesUID: !MCSeries!01418971
WM/WMRVServiceID: !MCService!28460388
WM/WMRVRequestID: -1
WM/WMRVScheduleItemID: -1
WM/WMRVQuality : 0
WM/WMRVOriginalSoftPrePadding: 0
WM/WMRVOriginalSoftPostPadding: 0
WM/WMRVHardPrePadding: -300
WM/WMRVHardPostPadding: 0
WM/WMRVATSCContent: true
WM/WMRVDTVContent: true
WM/WMRVHDContent: true
Duration : 11676334
WM/WMRVBitrate : 14.791826
WM/WMRVKeepUntil: -1
WM/WMRVActualSoftPrePadding: 0
WM/WMRVActualSoftPostPadding: 0
WM/WMRVContentProtected: false
WM/WMRVContentProtectedPercent: 0
WM/WMRVExpirationDate: 9999-12-31 23:59:59
WM/WMRVExpirationSpan: 9223372036854775807
WM/WMRVInBandRatingSystem: 255
WM/WMRVInBandRatingLevel: 255
WM/WMRVInBandRatingAttributes: 0
WM/WMRVWatched : true
WM/MediaOriginalRunTime: 11676334
WM/WMRVEndTime : 2012-04-21 00:58:16

Duration: 00:00:00.97, start: 0.195556, bitrate: 19416 kb/s

Stream #0:0[0x5], 22, 1/10000000: Video: mpeg2video (Main), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 1001/60000, 65000 kb/s, 23.98 fps, 59.94 tbr, 10000k tbn, 59.94 tbc
Stream #0:1[0x6], 28, 1/10000000: Subtitle: dvb_teletext
Stream #0:2[0x7], 27, 1/10000000: Audio: ac3, 48000 Hz, 5.1(side), s16, 384 kb/s

[buffer @ 0x2627370] w:1920 h:1080 pixfmt:yuv420p tb:1/1000000 sar:1/1 sws_param:flags=2
[yadif @ 0x2626270] mode:0 parity:-1 auto_enable:0
Segmentation fault

Should be very easy to reproduce. If not I can assist debug.

same here,
ffmpeg version:

ffmpeg version N-40515-geae77f4 Copyright (c) 2000-2012 the FFmpeg developers

built on May 9 2012 18:38:36 with gcc 4.3.2
configuration: --enable-libvorbis --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libxvid --enable-x11grab
libavutil 51. 50.100 / 51. 50.100
libavcodec 54. 21.100 / 54. 21.100
libavformat 54. 4.100 / 54. 4.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 72.105 / 2. 72.105
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 11.100 / 0. 11.100
libpostproc 52. 0.100 / 52. 0.100

command output:
./ffmpeg -i vid.flv -vf removelogo=logo.pgm vid2.flv
ffmpeg version N-40515-geae77f4 Copyright (c) 2000-2012 the FFmpeg developers

built on May 9 2012 18:38:36 with gcc 4.3.2
configuration: --enable-libvorbis --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libxvid --enable-x11grab
libavutil 51. 50.100 / 51. 50.100
libavcodec 54. 21.100 / 54. 21.100
libavformat 54. 4.100 / 54. 4.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 72.105 / 2. 72.105
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 11.100 / 0. 11.100
libpostproc 52. 0.100 / 52. 0.100

[flv @ 0xa2143c0] Stream discovered after head already parsed
Input #0, flv, from 'vid.flv':

Metadata:

hasMetadata : true
hasVideo : true
hasAudio : true
lasttimestamp : 2
lastkeyframetimestamp: 2
videosize : 98852
audiosize : 24928
datasize : 705
metadatacreator : flvmeta 1.0.11
audiodelay : 0
canSeekToEnd : true
hasCuePoints : false
hasKeyframes : true

Duration: 00:00:02.28, start: 0.000000, bitrate: 437 kb/s

Stream #0:0: Video: h264 (Main), yuv420p, 640x480 [SAR 1:1 DAR 4:3], 343 kb/s, 25 tbr, 1k tbn, 50 tbc
Stream #0:1: Audio: aac, 22050 Hz, stereo, s16, 85 kb/s
Stream #0:2: Data: none

File 'vid2.flv' already exists. Overwrite ? [y/N] y
w:640 h:480 pixfmt:yuv420p tb:1/1000000 sar:1/1 sws_param:flags=2
Segmentation fault

strace:
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libfaac.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0\30\0\0004\0\0\0\204"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=68972, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb78a5000
mmap2(NULL, 67792, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7894000
mmap2(0xb78a2000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xe) = 0xb78a2000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/libm.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@4\0\0004\0\0\0P"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=149328, ...}) = 0
mmap2(NULL, 151680, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb786e000
mmap2(0xb7892000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x23) = 0xb7892000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libz.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\30\0\0004\0\0\0\24"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=81012, ...}) = 0
mmap2(NULL, 83740, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7859000
mmap2(0xb786d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13) = 0xb786d000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/librt.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\31\0\0004\0\0\0\240"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=30624, ...}) = 0
mmap2(NULL, 33360, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7850000
mmap2(0xb7857000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6) = 0xb7857000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000H\0\0004\0\0\0\330"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=116414, ...}) = 0
mmap2(NULL, 98784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7837000
mmap2(0xb784c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14) = 0xb784c000
mmap2(0xb784e000, 4576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb784e000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/libc.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0\4"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1413540, ...}) = 0
mmap2(NULL, 1418864, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76dc000
mmap2(0xb7831000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x155) = 0xb7831000
mmap2(0xb7834000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7834000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libXau.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\t\0\0004\0\0\0\20"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=7160, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb76db000
mmap2(NULL, 10060, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76d8000
mmap2(0xb76da000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0xb76da000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libxcb-xlib.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\6\0\0004\0\0\0\224"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=4220, ...}) = 0
mmap2(NULL, 7108, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76d6000
mmap2(0xb76d7000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0) = 0xb76d7000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libxcb.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\177\0\0004\0\0\0\340"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=96240, ...}) = 0
mmap2(NULL, 95052, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76be000
mmap2(0xb76d5000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x17) = 0xb76d5000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/libdl.so.2", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76ba000
mmap2(0xb76bc000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0xb76bc000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libdirectfb-1.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P\274\0\0004\0\0\0\314"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=421300, ...}) = 0
mmap2(NULL, 421540, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7653000
mmap2(0xb76b8000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x65) = 0xb76b8000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libfusion-1.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20$\0\0004\0\0\0\370"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=28344, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7652000
mmap2(NULL, 31328, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb764a000
mmap2(0xb7651000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6) = 0xb7651000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libdirect-1.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\2602\0\0004\0\0\0t"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=76932, ...}) = 0
mmap2(NULL, 81836, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7636000
mmap2(0xb7649000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12) = 0xb7649000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libvga.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\220\0\0004\0\0\0 "..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=357128, ...}) = 0
mmap2(NULL, 396156, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb75d5000
mmap2(0xb7626000, 28672, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x50) = 0xb7626000
mmap2(0xb762d000, 35708, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb762d000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libogg.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\23\0\0004\0\0\0\300"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=16768, ...}) = 0
mmap2(NULL, 19740, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb75d0000
mmap2(0xb75d4000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3) = 0xb75d4000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libstdc++.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`A\4\0004\0\0\0\240"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=946216, ...}) = 0
mmap2(NULL, 972972, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb74e2000
mmap2(0xb75c5000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xe2) = 0xb75c5000
mmap2(0xb75ca000, 22700, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb75ca000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/libgcc_s.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\34\0\0004\0\0\0\324"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=49676, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb74e1000
mmap2(NULL, 52808, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb74d4000
mmap2(0xb74e0000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xb) = 0xb74e0000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/lib/libXdmcp.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\17\0\0004\0\0\0\214"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=16756, ...}) = 0
mmap2(NULL, 19644, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb74cf000
mmap2(0xb74d3000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3) = 0xb74d3000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/libx86.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\5\0\0004\0\0\0008"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=7712, ...}) = 0
mmap2(NULL, 11884, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb74cc000
mmap2(0xb74ce000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0xb74ce000
close(3) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb74cb000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb74ca000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb74c9000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb74c96c0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xb75c5000, 12288, PROT_READ) = 0
mprotect(0xb7831000, 4096, PROT_READ) = 0
mprotect(0xb7aeb000, 1011712, PROT_READ|PROT_WRITE) = 0
mprotect(0xb7aeb000, 1011712, PROT_READ|PROT_EXEC) = 0
munmap(0xb7ee4000, 47970) = 0
set_tid_address(0xb74c9708) = 32525
set_robust_list(0xb74c9710, 0xc) = 0
futex(0xbfd0dd70, FUTEX_WAKE_PRIVATE, 1) = 0
rt_sigaction(SIGRTMIN, {0xb783b2e0, [], SA_SIGINFO}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0xb783b720, [], SA_RESTART|SA_SIGINFO}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
uname({sys="Linux", node="agata5", ...}) = 0
brk(0) = 0xa45b000
brk(0xa481000) = 0xa481000
ioctl(2, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(2, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
write(2, "\33[0;39m"..., 7) = 7
write(2, "ffmpeg version N-40515-geae77f4"..., 31ffmpeg version N-40515-geae77f4) = 31
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " Copyright (c) 2000-2012 the FFmp"..., 46 Copyright (c) 2000-2012 the FFmpeg developers) = 46
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " built on May 9 2012 18:38:36 w"..., 47 built on May 9 2012 18:38:36 with gcc 4.3.2
) = 47
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " configuration: --enable-libvorb"..., 264 configuration: --enable-libvorbis --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libxvid --enable-x11grab
) = 264
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libavutil 51. 50.100 / 51."..., 41 libavutil 51. 50.100 / 51. 50.100
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libavcodec 54. 21.100 / 54."..., 41 libavcodec 54. 21.100 / 54. 21.100
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libavformat 54. 4.100 / 54."..., 41 libavformat 54. 4.100 / 54. 4.100
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libavdevice 53. 4.100 / 53."..., 41 libavdevice 53. 4.100 / 53. 4.100
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libavfilter 2. 72.105 / 2."..., 41 libavfilter 2. 72.105 / 2. 72.105
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libswscale 2. 1.100 / 2."..., 41 libswscale 2. 1.100 / 2. 1.100
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libswresample 0. 11.100 / 0."..., 41 libswresample 0. 11.100 / 0. 11.100
) = 41
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " libpostproc 52. 0.100 / 52."..., 41 libpostproc 52. 0.100 / 52. 0.100
) = 41
write(2, "\33[0m"..., 4) = 4
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_START or TCSETS, {B38400 opost isig -icanon -echo ...}) = 0
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig -icanon -echo ...}) = 0
rt_sigaction(SIGQUIT, {0x8052240, [QUIT], SA_RESTART}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {0x8052240, [INT], SA_RESTART}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGTERM, {0x8052240, [TERM], SA_RESTART}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGXCPU, {0x8052240, [XCPU], SA_RESTART}, {SIG_DFL}, 8) = 0
open("vid.flv", O_RDONLY|O_LARGEFILE) = 3
_llseek(3, 0, [0], SEEK_SET) = 0
read(3, "FLV\1\5\0\0\0\t\0\0\0\0\22\0\2\233\0\0\0\0\0\0\0\2\0\nonMeta"..., 32768) = 32768
fstat64(3, {st_mode=S_IFREG|0644, st_size=124933, ...}) = 0
mmap2(NULL, 454656, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb745a000
open("/proc/meminfo", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7eef000
read(4, "MemTotal?: 2076312 kB\nMemFree"..., 1024) = 872
close(4) = 0
munmap(0xb7eef000, 4096) = 0
brk(0xa4a2000) = 0xa4a2000
mmap2(NULL, 360448, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7402000
mmap2(NULL, 282624, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb73bd000
brk(0xa4cf000) = 0xa4cf000
brk(0xa4f6000) = 0xa4f6000
mmap2(NULL, 348160, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7368000
brk(0xa529000) = 0xa529000
brk(0xa552000) = 0xa552000
mmap2(NULL, 348160, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7313000
brk(0xa578000) = 0xa578000
brk(0xa5a2000) = 0xa5a2000
read(3, ">\26\356`$\274\313\312\312@%\7\300h\251O\242R\2h\373\346:\353\2276\322?\341Ca"..., 32768) = 32768
brk(0xa5c3000) = 0xa5c3000
read(3, "M\213\22\246\32]\20\206\25\336\321\16\207V\305\205\305\370\3323y9W0\373kL\5\350\212x\235="..., 32768) = 32768
write(2, "\33[0;33m"..., 7) = 7
write(2, "[flv @ 0xa4633c0] Stream discover"..., 62[flv @ 0xa4633c0] Stream discovered after head already parsed
) = 62
write(2, "\33[0m"..., 4) = 4
read(3, "[\241\206\204\223H\321\326\17S\t\345Y_\314\205\337P\27\270\3056\0\303\21>\2258v\243\34\311\236"..., 32768) = 26629
munmap(0xb73bd000, 282624) = 0
munmap(0xb7313000, 348160) = 0
munmap(0xb7368000, 348160) = 0
munmap(0xb7402000, 360448) = 0
munmap(0xb745a000, 454656) = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=124933, ...}) = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=124933, ...}) = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=124933, ...}) = 0
write(2, "\33[0;39m"..., 7) = 7
write(2, "Input #0, flv, from 'vid.flv':\n"..., 31Input #0, flv, from 'vid.flv':
) = 31
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " Metadata:\n"..., 12 Metadata:
) = 12
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " hasMetadata : "..., 22 hasMetadata : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "true"..., 4true) = 4
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " hasVideo : "..., 22 hasVideo : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "true"..., 4true) = 4
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " hasAudio : "..., 22 hasAudio : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "true"..., 4true) = 4
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " lasttimestamp : "..., 22 lasttimestamp : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "2"..., 12) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " lastkeyframetimestamp: "..., 27 lastkeyframetimestamp: ) = 27
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "2"..., 12) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " videosize : "..., 22 videosize : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "98852"..., 598852) = 5
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " audiosize : "..., 22 audiosize : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "24928"..., 524928) = 5
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " datasize : "..., 22 datasize : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "705"..., 3705) = 3
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " metadatacreator : "..., 22 metadatacreator : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "flvmeta 1.0.11"..., 14flvmeta 1.0.11) = 14
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " audiodelay : "..., 22 audiodelay : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "0"..., 10) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " canSeekToEnd : "..., 22 canSeekToEnd : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "true"..., 4true) = 4
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " hasCuePoints : "..., 22 hasCuePoints : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "false"..., 5false) = 5
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " hasKeyframes : "..., 22 hasKeyframes : ) = 22
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "true"..., 4true) = 4
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " Duration: "..., 12 Duration: ) = 12
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "00:00:02.28"..., 1100:00:02.28) = 11
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ", start: "..., 9, start: ) = 9
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "0.000000"..., 80.000000) = 8
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ", bitrate: "..., 11, bitrate: ) = 11
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "437 kb/s"..., 8437 kb/s) = 8
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " Stream #0:0"..., 15 Stream #0:0) = 15
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ": Video: h264 (Main), yuv420p, 64"..., 66: Video: h264 (Main), yuv420p, 640x480 [SAR 1:1 DAR 4:3], 343 kb/s) = 66
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ", 25 tbr"..., 8, 25 tbr) = 8
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ", 1k tbn"..., 8, 1k tbn) = 8
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ", 50 tbc"..., 8, 50 tbc) = 8
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " Stream #0:1"..., 15 Stream #0:1) = 15
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ": Audio: aac, 22050 Hz, stereo, s"..., 44: Audio: aac, 22050 Hz, stereo, s16, 85 kb/s) = 44
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, " Stream #0:2"..., 15 Stream #0:2) = 15
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, ": Data: none"..., 12: Data: none) = 12
write(2, "\33[0m"..., 4) = 4
write(2, "\33[0;39m"..., 7) = 7
write(2, "\n"..., 1
) = 1
write(2, "\33[0m"..., 4) = 4
stat64("vid2.flv", {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
write(2, "File 'vid2.flv' already exists. O"..., 50File 'vid2.flv' already exists. Overwrite ? [y/N] ) = 50
write(2, "\33[4;31m"..., 7) = 7
write(2, "\33[0m"..., 4) = 4
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig -icanon -echo ...}) = 0
ioctl(0, SNDCTL_TMR_START or TCSETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x8052240, [INT], SA_RESTART}, 8) = 0
fstat64(0, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb74c8000
read(0, y
"y\n"..., 1024) = 2
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_START or TCSETS, {B38400 opost isig -icanon -echo ...}) = 0
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig -icanon -echo ...}) = 0
rt_sigaction(SIGQUIT, {0x8052240, [QUIT], SA_RESTART}, {0x8052240, [QUIT], SA_RESTART}, 8) = 0
rt_sigaction(SIGINT, {0x8052240, [INT], SA_RESTART}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGTERM, {0x8052240, [TERM], SA_RESTART}, {0x8052240, [TERM], SA_RESTART}, 8) = 0
rt_sigaction(SIGXCPU, {0x8052240, [XCPU], SA_RESTART}, {0x8052240, [XCPU], SA_RESTART}, 8) = 0
open("vid2.flv", O_WRONLY|O_CREAT|O_TRUNC|O_LARGEFILE, 0666) = 4
_llseek(4, 0, [0], SEEK_SET) = 0
getrusage(RUSAGE_SELF, {ru_utime={0, 20001}, ru_stime={0, 16001}, ...}) = 0
write(2, "\33[0;39m"..., 7) = 7
write(2, "w:640 h:480 pixfmt:yuv420p tb:1/1"..., 66w:640 h:480 pixfmt:yuv420p tb:1/1000000 sar:1/1 sws_param:flags=2
) = 66
write(2, "\33[0m"..., 4) = 4
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

also tried with ppm, pgm formats, same error.

comment:3 Changed 5 years ago by michael

  • Keywords lavfutils added; removelogo removed
  • Resolution set to fixed
  • Status changed from open to closed

Should be fixed, please test

comment:4 Changed 5 years ago by haydonffmpeg

Tested on sample input and others. Now works perfectly for me. You guys are great. Lots of times you can't pay for support like this. Thank you!

Note: See TracTickets for help on using tickets.